%define upstream_name    Module-Manifest-Skip
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    MANIFEST.SKIP Management for Modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in Moo-2.004000, bug #1826148,
# <https://github.com/ingydotnet/module-manifest-skip-pm/issues/7>
Patch0:         Module-Manifest-Skip-0.23-Adapt-to-changes-in-Moo-2.004000.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(Moo) >= 0.91.13
BuildArch:  noarch

%description
*NOTE:* This module is mostly intended for module packaging frameworks to
share a common, up-to-date 'MANIFEST.SKIP' base. For example,
Module::Install::ManifestSkip, uses this module to get the actual SKIP
content. However this module may be useful for any module author.

CPAN module authors use a MANIFEST.SKIP file to exclude certain well known
files from getting put into a generated MANIFEST file, which would cause
them to go into the final distribution package.

The packaging tools try to automatically skip things for you, but if you
add one of your own entries, you have to add all the common ones yourself.
This module attempts to make all of this boring process as simple and
reliable as possible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.230.0-9.mga9
+ Revision: 1820040
- Mageia 9 Mass Rebuild

* Tue May 26 2020 tv <tv> 0.230.0-8.mga8
+ Revision: 1587718
- Fix build: Adapt to changes in Moo-2.004000 (rhbz#1826148)

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-7.mga8
+ Revision: 1495630
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-6.mga7
+ Revision: 1269553
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-5.mga6
+ Revision: 1030193
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.230.0-4.mga6
+ Revision: 934530
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 741771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-2.mga5
+ Revision: 685461
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 664596
- update to 0.23

* Sat Aug 16 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 664359
- update to 0.22

* Fri Aug 01 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 659051
- update to 0.20

* Sun Jul 27 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 657502
- update to 0.19

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 513066
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 369916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 shlomif <shlomif> 0.170.0-1.mga3
+ Revision: 279448
- update to 0.17

* Fri Dec 16 2011 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 182781
- imported package perl-Module-Manifest-Skip


* Fri Dec 16 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
